from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class InteractionClassification(IntEnum):
    ERROR = auto()
    WARNING = auto()
    INFO = auto()
    QUERY = auto()
